
// Solucion de ejercicios 1 y 2
// IMPORTANTE: Error si forigen = fdestino -> ya lo arreglaremos...

import java.io.*;
import java.net.*;

public class Copia {
	public static void main(String [] args) throws IOException {
		if ((args.length!=1) && (args.length!=2)) {
			System.err.println("Uso: Copia forig fdest | Copia forig");
			return;
		}
		InputStream ent = null;
		OutputStream sal = null;

		try {
                    	if (args[0].startsWith("http:")) {
                            URL u = new URL(args[0]);
                            ent = u.openStream();
                        }
                        else
                            ent = new FileInputStream(args[0]);
                        
			if (args.length==2)
				sal = new FileOutputStream(args[1]);
			else
				sal = System.out;

			int car;
			while ((car = ent.read()) != -1)
				sal.write(car);
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
