
// Solucion del ejercicio 8
// IMPORTANTE: Error si forigen = fdestino -> ya lo arreglaremos...

import java.io.*;

public class CopiaBuf {
	public static void main(String [] args) throws IOException {
		if ((args.length!=1) && (args.length!=2)) {
			System.err.println("Uso: CopiaBuf forig [fdest]");
			return;
		}

		InputStream ent = null;
		OutputStream sal = null;

		try {
			ent = new BufferedInputStream( new FileInputStream(args[0]));
			if (args.length==2)
				sal = new FileOutputStream(args[1]);
			else
				sal = System.out;
                        sal = new BufferedOutputStream(sal);

                        int car;
			while ((car = ent.read()) != -1)
				sal.write(car);
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
