
// Solucion del ejercicio 7
// IMPORTANTE: Error si forigen = fdestino -> ya lo arreglaremos...

import java.io.*;
import java.net.*;

public class Copia_eficiente {
	public static void main(String [] args) throws IOException {
		if ((args.length!=1) && (args.length!=2)) {
			System.err.println("Uso: Copia_eficiente forig fdest | Copia forig");
			return;
		}
		InputStream ent = null;
		OutputStream sal = null;

		try {
                    	if (args[0].startsWith("http:")) {
                            URL u = new URL(args[0]);
                            ent = u.openStream();
                        }
                        else
                            ent = new FileInputStream(args[0]);
                        
			if (args.length==2)
				sal = new FileOutputStream(args[1]);
			else
				sal = System.out;

			int cuenta;
			byte [] buf = new byte[1024];
			while ((cuenta = ent.read(buf)) != -1)
				sal.write(buf, 0, cuenta);
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
