
// Solucion del ejercicio 9 (main de Descifra)

import java.io.*;

public class Descifra {
	public static void main(String [] args) throws IOException {
		if (args.length!=3) {
			System.err.println("Uso: Descifra fcifrado fdescifrado clave");
			return;
		}
		InputStream fent = null;
		OutputStream fsal = null;
		try {
			fent = new DescifraInputStream( new BufferedInputStream (new FileInputStream(args[0])), Integer.parseInt(args[2]));
			fsal = new BufferedOutputStream (new FileOutputStream(args[1]));
			int c;
			while ((c = fent.read()) != -1)
				fsal.write(c);
		}
		catch (IOException e) {
			System.err.println(e);
		}
		finally {
			if (fent != null)
				fent.close();
			if (fsal != null)
				fsal.close();
		}
	}
}
