// Solucion del ejercicio 4

import java.io.*;

public class Pegar {
	public static void main(String [] args) throws IOException {
		if (args.length<2) {
			System.err.println("Uso: Pegar forig... fdest");
			return;
		}
		int numfent = args.length-1;
		InputStream [] ent = new InputStream [numfent];
		OutputStream sal = null;

		try {
                    // comprueba primero si todos los ficheros son accesibles
                    for (int i = 0; i < numfent; i++)
				ent[i] = new FileInputStream(args[i]);

			sal = new FileOutputStream(args[numfent]);

			for (InputStream enti : ent) {
				int car;
				while ((car = enti.read()) != -1)
					sal.write(car);
				enti.close();
			}
			
		}
		finally {
			for (InputStream enti : ent)
				if (enti != null)
					enti.close();
			if (sal != null)
				sal.close();
		}
	}
}
