
// Solucion del ejercicio 5

import java.io.*;

public class Romper {
	public static void main(String [] args) throws IOException {
		if (args.length<2) {
			System.err.println("Uso: Romper fichero tamano");
			return;
		}
		int numfent = args.length-1;
		InputStream ent = null;
		OutputStream sal = null;
		String nombre = new String(args[0]);
		int tam = Integer.parseInt(args[1]);
		
		try {
			ent = new FileInputStream(nombre);
			int i=0;
			int cont=0;
			int car;
			while ((car = ent.read()) != -1) {
				if ((cont % tam)==0) {
					if (sal != null)
						sal.close();
					sal = new FileOutputStream(nombre+"_"+i);
					i++;
				}
				cont++;
				sal.write(car);
			}
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
