
// Solucion del ejercicio 9 (main de Cifra)

import java.io.*;

public class Cifra {
	public static void main(String [] args) throws IOException {
		if (args.length!=3) {
			System.err.println("Uso: Cifra forig fcifrado clave ");
			return;
		}
		InputStream fent = null;
		OutputStream fsal = null;
		try {
			fent = new BufferedInputStream (new FileInputStream(args[0]));
			fsal = new CifraOutputStream( new BufferedOutputStream (new FileOutputStream(args[1])), Integer.parseInt(args[2]));

			int c;
			while ((c = fent.read()) != -1)
				fsal.write(c);
		}
		finally {
			if (fent != null)
				fent.close();
			if (fsal != null)
				fsal.close();
		}
	}
}
