
// Solucion del ejercicio 9 (clase auxiliar de Descifra)

import java.io.*;

public class DescifraInputStream extends FilterInputStream {
	private byte clave;
	DescifraInputStream(InputStream i, int c) {
		super(i);
		clave = (byte) c;
	}
	public int read() throws IOException {
		int c = in.read();
		if (c!=-1) {
                        c += clave;
                }
		return c;
	}
	public int read(byte [] v, int pos, int tam) throws IOException {
		int cont = in.read(v, pos, tam);
		for (int i=pos; i<cont; i++) {
			v[i] += clave;
		 }
		return cont;
	}
}
