
// Solucion del ejercicio 6 (main)

import java.io.*;

public class Rellenar {
	public static void main(String [] args) throws IOException {
		if (args.length!=3) {
			System.err.println("Uso: valor tamano fichero");
			return;
		}
		InputStream ent = null;
		OutputStream sal = null;

		try {
			ent = new ConstanteInputStream(Integer.parseInt(args[0]));
			sal = new FileOutputStream(args[2]);

			int tam = Integer.parseInt(args[1]);
			int car;
			while (((car = ent.read()) != -1) && (tam-->0))
				sal.write(car);
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
